| Home | Libraries | People | FAQ | More

##### windows::basic_object_handle::basic_object_handle (1 of 3 overloads)

Construct a `windows::basic_object_handle` without opening it.

    basic_object_handle(
        boost::asio::io_service & io_service);

This constructor creates an object handle without opening it.

###### Parameters

io_service

  The `io_service` object that the object handle will use to dispatch handlers for any asynchronous operations performed on the handle.